Subject: Re: bug#24393: 25.1.50; image-mode ignore the image :scale

From: Tino Calancha <[email-masked]>
Date: Fri, 9 Sep 2016 19:23:02 +0900 (JST)

On Fri, 9 Sep 2016, Eli Zaretskii wrote:

> Isn't there something wrong with the logic from the following fragment
> of image-toggle-display-image?  The comment certainly seems to have it
> backwards, or at least in contradiction to what
> image-transform-fit-to-width expects.
>
> 	 ;; If we have a `fit-width' or a `fit-height', don't limit
> 	 ;; the size of the image to the window size.
> 	 (edges (and (null image-transform-resize)
> 		     (window-inside-pixel-edges
> 		      (get-buffer-window (current-buffer)))))
>
> I think 'edges' should be non-nil if image-transform-resize is
> non-nil, no?
I think is OK.  Maybe i would adjust the comment a bit, because 
`image-transform-resize' can also be a number (set by 
`image-transform-set-scale'): i would say:
;; If `image-transform-resize' is non-nil, don't limit
;; the size of the image to the window size.

I think the logic is as follows:
The proportion width/height is an invariant of this transformation.
If you call `image-transform-fit-to-width', your image width will occupy 
all the window width.  Then, the height is increased in the same 
proportion as the width, so the final image height may be longer than
the window height.  That's OK.